Bug 123950 - Inserting an envelope crashes upon choosing Format>Edit>Character in dialog box
Summary: Inserting an envelope crashes upon choosing Format>Edit>Character in dialog box
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-03-08 21:09 UTC by Greg TH
Modified: 2019-04-01 11:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["mergedlo.dll"]


Attachments
bt with debug symbols (6.41 KB, text/plain)
2019-03-08 22:37 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Greg TH 2019-03-08 21:09:00 UTC
Description:
Using Libre Office Version: 6.2.0.3 (x64)on Windows 10, Writer crashes every time I use the Insert>Envelope function and choose Format>Edit>Character in the Format tab in the dialog box.  This crash is repeatable regardless of what document(s) might be open at the time.  The previous version of Libre Office did not crash within the Insert>Envelope function.

Steps to Reproduce:
1. In Writer, select Insert>Envelope
2. Under the Format tab, choose Edit>Character
3. Libre Office will crash

Actual Results:
Libre Office crashes

Expected Results:
Libre Office crashes


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Brought up the Character dialog box to allow customization of the envelope text.
Comment 1 Julien Nabet 2019-03-08 22:37:47 UTC
Created attachment 149837 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Oliver Brinzing 2019-03-09 09:32:25 UTC
reproducible with 

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

but not with LO 6.1.5.2
Comment 3 Oliver Brinzing 2019-03-09 13:08:56 UTC
seems to have started with:

https://gerrit.libreoffice.org/plugins/gitiles/core/+/a4503017dfcf0c919b8f81bd8cdbc44bade3f774

commit	a4503017dfcf0c919b8f81bd8cdbc44bade3f774	[log]
author	Caolán McNamara <caolanm@redhat.com>	Wed Sep 12 15:52:35 2018 +0100
committerCaolán McNamara <caolanm@redhat.com>	Fri Sep 14 14:16:11 2018 +0200
tree	341dd5abb9f51392d73d6a1251c8cb1c08f8a30a
parent	dd1db430fe8009250253756573a1a19a45830c5f [diff]

weld SwCharDlg

Change-Id: Ice7c211b10d59ab9d166da6e09662b602debb09d
Reviewed-on: https://gerrit.libreoffice.org/60417
Tested-by: Jenkins
Reviewed-by: Caolán McNamara <caolanm@redhat.com>
Tested-by: Caolán McNamara <caolanm@redhat.com>

/cygdrive/d/sources/bibisect/bibisect-win32-6.2
$ git bisect good
aa4be746d7a9e1abc85ecd95c26614f3b0b409cf is the first bad commit
commit aa4be746d7a9e1abc85ecd95c26614f3b0b409cf
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Sep 14 06:19:22 2018 -0700
    source sha:a4503017dfcf0c919b8f81bd8cdbc44bade3f774
    source sha:a4503017dfcf0c919b8f81bd8cdbc44bade3f774

:040000 040000 8cf92dd6a95885112d2ac56107a43b8c2c15b527 91cec310c6814507818303b56c4e59477034b0b2 M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.2
$ git bisect log
# bad: [d60ae8383378fcecc7ab077670bf45208a214c71] source sha:e45c30858dec1dd705b9144fab981a3c8819ba96
# good: [b0a56ec98b1368cb5e3e531e0b3f69565af91609] source sha:3a801799536e6870f2fb111b1cc00b9575a35a39
git bisect start 'master' 'oldest'
# good: [5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e] source sha:8bcc4a98d78869d6839821b9747602777f00ebaf
git bisect good 5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e
# good: [5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e] source sha:8bcc4a98d78869d6839821b9747602777f00ebaf
git bisect good 5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [0942649607862f8e681eeeb027ead35246eeee6f] source sha:d784612ff788f688eebb851c800228fc01c60470
git bisect bad 0942649607862f8e681eeeb027ead35246eeee6f
# good: [f8b7df8260b2b21ea776ddda0480d4ecde928aeb] source sha:a9bcbd3dad16c69f1e7ebb52a30611150a49f298
git bisect good f8b7df8260b2b21ea776ddda0480d4ecde928aeb
# good: [2a21ced35dd7c956578216f01f27f8dd6fb32497] source sha:96ac9e4bf913043e89461e6259a403edc93d56e4
git bisect good 2a21ced35dd7c956578216f01f27f8dd6fb32497
# bad: [b523892f60c58d6f295166ae3c03017a51875bb4] source sha:83b840e6a08d7d990a4703b6ef67c3829c75aad4
git bisect bad b523892f60c58d6f295166ae3c03017a51875bb4
# bad: [e8a7aa2997530aadcb9765141893a2b672059174] source sha:d357e50fa1734da0bf341dbd49fc0596011bdfe3
git bisect bad e8a7aa2997530aadcb9765141893a2b672059174
# bad: [e649d3b2c9cebba0f0e732cc97db22d54d385e9b] source sha:b5937112d4035fb9ffb472e1bf36567d9c78c820
git bisect bad e649d3b2c9cebba0f0e732cc97db22d54d385e9b
# good: [c803ac28fdd751787759e30a007c7e0837192728] source sha:e625c64575216f787d7f534b90b6a7e7f981849f
git bisect good c803ac28fdd751787759e30a007c7e0837192728
# bad: [aa263c9a44a9c8e325c9a876be32fda359074d49] source sha:25df705499835877c0e236230f5c117fabf947b8
git bisect bad aa263c9a44a9c8e325c9a876be32fda359074d49
# bad: [aa4be746d7a9e1abc85ecd95c26614f3b0b409cf] source sha:a4503017dfcf0c919b8f81bd8cdbc44bade3f774
git bisect bad aa4be746d7a9e1abc85ecd95c26614f3b0b409cf
# good: [47752f4c969b2d3690cac538c7a1ebb49e551097] source sha:dd1db430fe8009250253756573a1a19a45830c5f
git bisect good 47752f4c969b2d3690cac538c7a1ebb49e551097
# first bad commit: [aa4be746d7a9e1abc85ecd95c26614f3b0b409cf] source sha:a4503017dfcf0c919b8f81bd8cdbc44bade3f774
Comment 4 Commit Notification 2019-03-10 14:42:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/be0d2080f868ab34d3d84594413717aa734c106b%5E%21

Resolves: tdf#123950 'standard' buttons missing

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-10 15:47:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d890caf52114856a3f909a9c87285ca476817bf1%5E%21

Resolves: tdf#123950 'standard' buttons missing

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-03-13 12:12:04 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 7 Commit Notification 2019-03-15 17:30:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-2":

https://git.libreoffice.org/core/+/ae6bf0d6c25da3098c86759102bc26fd1144d5c7%5E%21

Resolves: tdf#123950 'standard' buttons missing

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.